GARLI(1)

NAME
garli - phylogenetic analysis of molecular sequence data using maximum-likelihood (MPI version)

SYNOPSIS
mpirun [MPI OPTIONS] garli-mpi -[# of times to execute config file] [config filename]

DESCRIPTION
GARLI, Genetic Algorithm for Rapid Likelihood Inference is a program for inferring phylogenetic trees. Using an approach similar to a classical genetic algorithm, it rapidly searches the space of evolutionary trees and model parameters to find the solution maximizing the likelihood score. It implements nucleotide, amino acid and codon-based models of sequence evolution, and runs on all platforms. The latest version adds support for partitioned models and morphology-like datatypes. This is the MPI version of Garli.

OPTIONS

-i, --interactive
    interactive mode (allow and/or expect user feedback)

-b, --batch
    batch mode (do not expect user input) (batch is the default for the version you are running)

-v, --version
    print version information and exit

-h, --help
    print this help and exit

-t  run internal tests (requires dataset and config file)

-V  validate: load config file and data, validate config file, data, starting trees and constraint files, print required memory and selected model, then exit

NOTE: If no config filename is passed on the command line the program will look in the current directory for a file named "garli.conf"

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.